jmarkov.basic

## Class Action

- java.lang.Object
- - jmarkov.basic.Action

- All Implemented Interfaces:
    java.lang.Comparable<Action>, JMarkovElement
  Direct Known Subclasses:
    Admit, Order, PropertiesAction

      public abstract class Action
      extends java.lang.Object
      implements java.lang.Comparable<Action>, JMarkovElement

  This class represents a single Action in Markov Decision Process (MDP). It implements Comparable in order to be easily organized and searched.
  Author:
    Germán Riaño and Andres Sarmiento - Universidad de Los Andes
  See Also:
    `Comparable`, `jmarkov.jmdp`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` The user SHOULD override this method to give a complete description for the action.
    `boolean` | `equals(java.lang.Object o)` This method calls compareTo to check if the Action are equal.
    `abstract java.lang.String` | `label()` The user MUST override this method to give a (hopefully short) label for the Action.
    `java.lang.String` | `toString()` This calls label().

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### label

          public abstract java.lang.String label()

      The user MUST override this method to give a (hopefully short) label for the Action.
      Specified by:
        `label` in interface `JMarkovElement`
      Returns:
        short description of the Action.
      See Also:
        `JMarkovElement.description()`

    - #### description

          public java.lang.String description()

      The user SHOULD override this method to give a complete description for the action.
      Specified by:
        `description` in interface `JMarkovElement`
      Returns:
        short description of the state.
      See Also:
        `JMarkovElement.label()`

    - #### toString

          public final java.lang.String toString()

      This calls label().
      Specified by:
        `toString` in interface `JMarkovElement`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String label.
      See Also:
        `JMarkovElement.label()`

    - #### equals

          public final boolean equals(java.lang.Object o)

      This method calls compareTo to check if the Action are equal.
      Specified by:
        `equals` in interface `JMarkovElement`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - The Object to compare to.
      Returns:
        True if the elements are equal.
      See Also:
        `Object.equals(java.lang.Object)`